Here is the new version of the updater plugin, that brings compatibility with WordPress 3.1 and new network admin panels, use of capabilities for menus and other things and many minor changes, fixes and code cleanup. Also, plugin now needs at least WordPress 2.9 to work.

Support for WP 2.8 is dropped, so if you still run this old WordPress don’t update the updater. None of the functionalities essential for updating is changed in this version, all updates are for new WordPress versions only, especially WP 3.1 and new network admin panel if you run WordPress in multisite mode. If you switch to multisite from normal mode, you will need to enter your API key again.

If you have any more problems, please report them in the forum or in comments. Please test all the changes to make sure that I didn’t miss anything with support for WP 3.1, or broken something that was working in previous WP versions.

Dev4Press Updater:
This plugin is only for users with valid licenses for Dev4Press plugins and xScape themes
Updater Policy: http://www.dev4press.com/auto-updater/
Get The Updater: http://www.dev4press.com/user/updater/

No votes yet.
Please wait...

About the author

MillaN
MillaN
Dev4Press owner and lead developer

Programmer since the age of 12 and now WordPress developer with more than 8 years of WordPress experience, author of more than 100 plugins and more than 20 themes.

Learn More

Dev4Press Updater
Easy to use plugin to install new and update existing Dev4Press premium plugins and themes from within WordPress dashboard, using build in updater system.
Dev4Press Updater Logo

2 Comments

  1. …if not in network administration page the number of available update are not visible.

    0
    Be the first one to like this.
    Please wait...
    1. MillaN says:

      Yeah, I need to add that as an option so that normal admin side shows updates status also. Same goes for right now outside the network admin, and it will be visible only to super admins. I will try to make changes in the next 2-3 days. Important thing now is that updating is working with new version on WP 3.1.

      0
      Be the first one to like this.
      Please wait...

Comments are closed.